## r-cran-network 1.17.1

=== DESCRIPTION ===
Package: network
Version: 1.17.1
Date: 2021-06-12
Title: Classes for Relational Data
Authors@R: c(
    person("Carter T.", "Butts", role=c("aut","cre"), email="buttsc@uci.edu"),
    person("David", "Hunter", role=c("ctb"), email="dhunter@stat.psu.edu"),
    person("Mark", "Handcock", role=c("ctb"), email="handcock@stat.ucla.edu"),
    person("Skye", "Bender-deMoll", role=c("ctb"), email="skyebend@uw.edu"),
    person("Jeffrey", "Horner", role=c("ctb"), email="jeffrey.horner@gmail.com"),
    person("Li", "Wang", role=c("ctb"), email="lxwang@uw.edu"),
    person("Pavel N.", "Krivitsky", role=c("ctb"), email="pavel@statnet.org", comment=c(ORCID="0000-0002-9101-3362")),
    person("Brendan", "Knapp", role=c("ctb"), email="brendan.g.knapp@gmail.com", comment=c(ORCID="0000-0003-3284-4972")),
    person("Michał", "Bojanowski", role=c("ctb"), email="mbojanowski@kozminski.edu.pl"),
    person("Chad", "Klumb", role=c("ctb"), email="cklumb@gmail.com"))
Author: Carter T. Butts [aut, cre],
  David Hunter [ctb],
  Mark Handcock [ctb],
  Skye Bender-deMoll [ctb],
  Jeffrey Horner [ctb],
  Li Wang [ctb],
  Pavel N. Krivitsky [ctb] (<https://orcid.org/0000-0002-9101-3362>),
  Brendan Knapp [ctb] (<https://orcid.org/0000-0003-3284-4972>),
  Michał Bojanowski [ctb],
  Chad Klumb [ctb]
Maintainer: Carter T. Butts <buttsc@uci.edu>
Depends: R (>= 2.10), utils
Imports: tibble, magrittr, statnet.common (>= 4.5), stats
Suggests: sna, testthat, covr
Description: Tools to create and modify network objects.  The network class can represent a range of relational data types, and supports arbitrary vertex/edge/graph attributes.
License: GPL (>= 2)
URL: http://statnet.org/
RoxygenNote: 7.1.1
Collate: 'access.R' 'as.edgelist.R' 'assignment.R' 'coercion.R'
        'constructors.R' 'dataframe.R' 'fileio.R' 'layout.R' 'misc.R'
        'network-package.R' 'operators.R' 'plot.R' 'printsum.R' 'zzz.R'
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2021-06-14 01:46:28 UTC; buttsc
Repository: CRAN
Date/Publication: 2021-06-14 06:40:01 UTC

## r-cran-network 1.16.1

=== debian/changelog ===
r-cran-network (1.16.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Adapt patches
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 18 Oct 2020 21:42:29 +0200

r-cran-network (1.16.0-1) unstable; urgency=medium

  * Initial release (Closes: #951510)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 12 Oct 2020 09:35:20 +0200

=== debian/control ===
Source: r-cran-network
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-tibble,
               r-cran-magrittr
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-network
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-network.git
Homepage: https://cran.r-project.org/package=network
Rules-Requires-Root: no

Package: r-cran-network
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Classes for Relational Data
 Tools to create and modify network objects. The network class can
 represent a range of relational data types, and supports arbitrary
 vertex/edge/graph attributes.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/network_([-\d.]*)\.tar\.gz

## r-cran-network 1.17.1

=== debian/changelog ===
r-cran-network (1.17.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 31 Aug 2021 10:49:03 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
                dh-r,
                r-base-dev,
                r-cran-tibble,
-               r-cran-magrittr
-Standards-Version: 4.5.0
+               r-cran-magrittr,
+               r-cran-statnet.common (>= 4.5)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-network
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-network.git
 Homepage: https://cran.r-project.org/package=network

## r-cran-network 1.17.2

=== debian/changelog ===
r-cran-network (1.17.2-1) unstable; urgency=medium

  * Team upload.
  * Disable reprotest
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 24 May 2022 11:16:50 +0200

=== debian/control ===
Source: r-cran-network
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-network
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-network.git
Homepage: https://cran.r-project.org/package=network
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-tibble,
               r-cran-magrittr,
               r-cran-statnet.common (>= 4.5)
Testsuite: autopkgtest-pkg-r

Package: r-cran-network
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Classes for Relational Data
 Tools to create and modify network objects. The network class can
 represent a range of relational data types, and supports arbitrary
 vertex/edge/graph attributes.

## r-cran-network 1.18.1

=== DESCRIPTION ===
Package: network
Version: 1.18.1
Date: 2023-01-24
Title: Classes for Relational Data
Authors@R: c(
    person("Carter T.", "Butts", role=c("aut","cre"), email="buttsc@uci.edu"),
    person("David", "Hunter", role=c("ctb"), email="dhunter@stat.psu.edu"),
    person("Mark", "Handcock", role=c("ctb"), email="handcock@stat.ucla.edu"),
    person("Skye", "Bender-deMoll", role=c("ctb"), email="skyebend@uw.edu"),
    person("Jeffrey", "Horner", role=c("ctb"), email="jeffrey.horner@gmail.com"),
    person("Li", "Wang", role=c("ctb"), email="lxwang@uw.edu"),
    person("Pavel N.", "Krivitsky", role=c("ctb"), email="pavel@statnet.org", comment=c(ORCID="0000-0002-9101-3362")),
    person("Brendan", "Knapp", role=c("ctb"), email="brendan.g.knapp@gmail.com", comment=c(ORCID="0000-0003-3284-4972")),
    person("Michał", "Bojanowski", role=c("ctb"), email = "michal2992@gmail.com", comment = c(ORCID = "0000-0001-7503-852X")),
    person("Chad", "Klumb", role=c("ctb"), email="cklumb@gmail.com"))
Maintainer: Carter T. Butts <buttsc@uci.edu>
Depends: R (>= 2.10), utils
Imports: tibble, magrittr, statnet.common (>= 4.5), stats
Suggests: sna, testthat, covr
Description: Tools to create and modify network objects.  The network class can represent a range of relational data types, and supports arbitrary vertex/edge/graph attributes.
License: GPL (>= 2)
URL: https://statnet.org/
RoxygenNote: 7.2.0
Collate: 'access.R' 'as.edgelist.R' 'assignment.R' 'coercion.R'
        'constructors.R' 'dataframe.R' 'fileio.R' 'layout.R' 'misc.R'
        'network-package.R' 'operators.R' 'plot.R' 'printsum.R' 'zzz.R'
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2023-01-24 07:28:41 UTC; buttsc
Author: Carter T. Butts [aut, cre],
  David Hunter [ctb],
  Mark Handcock [ctb],
  Skye Bender-deMoll [ctb],
  Jeffrey Horner [ctb],
  Li Wang [ctb],
  Pavel N. Krivitsky [ctb] (<https://orcid.org/0000-0002-9101-3362>),
  Brendan Knapp [ctb] (<https://orcid.org/0000-0003-3284-4972>),
  Michał Bojanowski [ctb] (<https://orcid.org/0000-0001-7503-852X>),
  Chad Klumb [ctb]
Repository: CRAN
Date/Publication: 2023-01-24 08:50:02 UTC

=== debian/changelog ===
r-cran-network (1.18.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 30 Jan 2023 14:49:38 +0100

r-cran-network (1.18.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 08 Oct 2022 09:55:12 +0200

## r-cran-network 1.18.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: network
-Version: 1.18.1
-Date: 2023-01-24
+Version: 1.18.2
+Date: 2023-12-04
 Title: Classes for Relational Data
 Authors@R: c(
     person("Carter T.", "Butts", role=c("aut","cre"), email="buttsc@uci.edu"),
@@ -26,7 +26,7 @@
         'network-package.R' 'operators.R' 'plot.R' 'printsum.R' 'zzz.R'
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2023-01-24 07:28:41 UTC; buttsc
+Packaged: 2023-12-05 06:05:56 UTC; buttsc
 Author: Carter T. Butts [aut, cre],
   David Hunter [ctb],
   Mark Handcock [ctb],
@@ -38,4 +38,4 @@
   Michał Bojanowski [ctb] (<https://orcid.org/0000-0001-7503-852X>),
   Chad Klumb [ctb]
 Repository: CRAN
-Date/Publication: 2023-01-24 08:50:02 UTC
+Date/Publication: 2023-12-05 11:30:02 UTC

=== debian/changelog ===
r-cran-network (1.18.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jan 2024 08:05:48 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-network
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-network.git
 Homepage: https://cran.r-project.org/package=network
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-sna,
        r-cran-testthat,
        r-cran-covr
Restrictions: allow-stderr

## r-cran-network 1.19.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: network
-Version: 1.18.2
-Date: 2023-12-04
+Version: 1.19.0
+Date: 2024-12-08
 Title: Classes for Relational Data
 Authors@R: c(
     person("Carter T.", "Butts", role=c("aut","cre"), email="buttsc@uci.edu"),
@@ -20,13 +20,13 @@
 Description: Tools to create and modify network objects.  The network class can represent a range of relational data types, and supports arbitrary vertex/edge/graph attributes.
 License: GPL (>= 2)
 URL: https://statnet.org/
-RoxygenNote: 7.2.0
+RoxygenNote: 7.3.2.9000
 Collate: 'access.R' 'as.edgelist.R' 'assignment.R' 'coercion.R'
         'constructors.R' 'dataframe.R' 'fileio.R' 'layout.R' 'misc.R'
         'network-package.R' 'operators.R' 'plot.R' 'printsum.R' 'zzz.R'
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2023-12-05 06:05:56 UTC; buttsc
+Packaged: 2024-12-08 22:18:07 UTC; buttsc
 Author: Carter T. Butts [aut, cre],
   David Hunter [ctb],
   Mark Handcock [ctb],
@@ -38,4 +38,4 @@
   Michał Bojanowski [ctb] (<https://orcid.org/0000-0001-7503-852X>),
   Chad Klumb [ctb]
 Repository: CRAN
-Date/Publication: 2023-12-05 11:30:02 UTC
+Date/Publication: 2024-12-09 11:30:02 UTC

=== debian/changelog ===
r-cran-network (1.19.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 18 Jan 2025 00:21:34 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-network
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-network.git
 Homepage: https://cran.r-project.org/package=network
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
--- 
+++ 
@@ -4,4 +4,3 @@
         r-cran-testthat,
         r-cran-covr
 Restrictions: allow-stderr
-

## r-cran-network 1.20.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: network
-Version: 1.19.0
-Date: 2024-12-08
+Version: 1.20.0
+Date: 2026-02-06
 Title: Classes for Relational Data
 Authors@R: c(
     person("Carter T.", "Butts", role=c("aut","cre"), email="buttsc@uci.edu"),
@@ -26,16 +26,18 @@
         'network-package.R' 'operators.R' 'plot.R' 'printsum.R' 'zzz.R'
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2024-12-08 22:18:07 UTC; buttsc
+Packaged: 2026-02-07 06:57:12 UTC; buttsc
 Author: Carter T. Butts [aut, cre],
   David Hunter [ctb],
   Mark Handcock [ctb],
   Skye Bender-deMoll [ctb],
   Jeffrey Horner [ctb],
   Li Wang [ctb],
-  Pavel N. Krivitsky [ctb] (<https://orcid.org/0000-0002-9101-3362>),
-  Brendan Knapp [ctb] (<https://orcid.org/0000-0003-3284-4972>),
-  Michał Bojanowski [ctb] (<https://orcid.org/0000-0001-7503-852X>),
+  Pavel N. Krivitsky [ctb] (ORCID:
+    <https://orcid.org/0000-0002-9101-3362>),
+  Brendan Knapp [ctb] (ORCID: <https://orcid.org/0000-0003-3284-4972>),
+  Michał Bojanowski [ctb] (ORCID:
+    <https://orcid.org/0000-0001-7503-852X>),
   Chad Klumb [ctb]
 Repository: CRAN
-Date/Publication: 2024-12-09 11:30:02 UTC
+Date/Publication: 2026-02-07 10:00:02 UTC

=== debian/changelog ===
r-cran-network (1.20.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 13 Feb 2026 11:27:48 +0900

=== debian/control ===
Source: r-cran-network
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Michael R. Crusoe <crusoe@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-tibble,
 r-cran-magrittr,
 r-cran-statnet.common,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-network
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-network.git
Homepage: https://cran.r-project.org/package=network
Rules-Requires-Root: no

Package: r-cran-network
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: Classes for Relational Data
 Tools to create and modify network objects. The network class can
 represent a range of relational data types, and supports arbitrary
 vertex/edge/graph attributes.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-sna,
 r-cran-testthat,
 r-cran-covr,
